## artikulate 19.12.3

=== CMakeLists.txt ===
###
#  Copyright 2013-2016  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

project(artikulate)

cmake_minimum_required(VERSION 3.5.0)
set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.57.0")


find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMEnableSanitizers)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
    Sql
    XmlPatterns
    Qml
    Quick
    Test
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    Crash
    I18n
    NewStuff
    Kirigami2
)

# options
option(BUILD_QTMULTIMEDIA_PLUGIN "Build QtMultimedia sound backend" ON)
option(BUILD_GSTREAMER_PLUGIN "Build GStreamer sound backend" OFF)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(images)
ecm_optional_add_subdirectory(icons)
ecm_optional_add_subdirectory(libsound)
ecm_optional_add_subdirectory(liblearnerprofile)
ecm_optional_add_subdirectory(autotests)

# files to install in the artikulate project root directory
install(PROGRAMS org.kde.artikulate.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.artikulate.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== autotests/CMakeLists.txt ===
###
#  Copyright 2013-2019  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

add_subdirectory(unittests)
add_subdirectory(integrationtests)
add_subdirectory(resourcetests)

=== autotests/integrationtests/CMakeLists.txt ===
###
#  Copyright 2013-2019  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

include_directories(
    ../../src/
    ../../
    ${CMAKE_CURRENT_BINARY_DIR}
)

# copy test data
file(COPY ../testdata/courses/de.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/de/) # copy test files
file(COPY ../testdata/courses/fr.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/fr/) # copy test files
file(COPY ../testdata/contributorrepository/ DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/contributorrepository/) # copy test files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# integration tests for iresource repository interface derived classes
set(TestIResourceRepository_SRCS iresourcerepository_integration/test_iresourcerepository.cpp)
qt5_add_resources(TestIResourceRepository_SRCS ../../data/languages.qrc)
add_executable(test_iresourcerepository_integration ${TestIResourceRepository_SRCS})
target_link_libraries(test_iresourcerepository_integration
    artikulatecore
    Qt5::Test
)
add_test(NAME test_iresourcerepository_integration COMMAND test_iresourcerepository_integration)
ecm_mark_as_test(test_iresourcerepository_integration)

=== autotests/resourcetests/CMakeLists.txt ===
###
#  Copyright 2013-2019  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

include_directories(
    ../../src/
    ../../
    ../mocks/
    ${CMAKE_CURRENT_BINARY_DIR}
)

# basic tests language resource conformance with XSD
set(TestLanguageFiles_SRCS
    languageresources/testlanguagefiles.cpp
)
qt5_add_resources(TestLanguageFiles_SRCS ../../data/languages.qrc)
add_executable(test_languageresources ${TestLanguageFiles_SRCS} )
target_link_libraries(test_languageresources
    artikulatecore
    Qt5::Test
)
add_test(NAME test_languageresources COMMAND test_languageresources)
ecm_mark_as_test(test_languageresources)


# test correctness of XSD files
set(TestXsdSchemes_SRCS
    xsdschemes/testxsdschemes.cpp
)
qt5_add_resources(TestXsdSchemes_SRCS ../../data/languages.qrc)
add_executable(test_xsdschemes ${TestXsdSchemes_SRCS} )
target_link_libraries(test_xsdschemes
    Qt5::Test
    Qt5::XmlPatterns
    Qt5::Core
)
add_test(NAME test_xsdschemes COMMAND test_xsdschemes)
ecm_mark_as_test(test_xsdschemes)

=== debian/changelog ===
artikulate (4:19.12.3-0ubuntu2) focal; urgency=medium

  * Drop obsolete libqt5gstreamer-dev build dep. Allows building on
    riscv64.

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Apr 2020 12:36:20 +0100

artikulate (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:38 +0000

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.57.0~),
               kirigami2-dev (>= 5.57.0~),
               libkf5archive-dev (>= 5.57.0~),
               libkf5config-dev (>= 5.57.0~),
               libkf5configwidgets-dev (>= 5.57.0~),
               libkf5crash-dev (>= 5.57.0~),
               libkf5declarative-dev (>= 5.57.0~),
               libkf5doctools-dev (>= 5.57.0~),
               libkf5i18n-dev (>= 5.57.0~),
               libkf5newstuff-dev (>= 5.57.0~),
               libkf5widgetsaddons-dev (>= 5.57.0~),
               libqt5sql5-sqlite (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtmultimedia5-dev (>= 5.11.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/education/org.kde.artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

TESTS_ROOT=$(CURDIR)/debian/tests.root

%:
	dh $@ --with kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_ROOT)"
	mkdir -p "$(TESTS_ROOT)/tmp"
	mkdir -p "$(TESTS_ROOT)/home/tests"
	mkdir -p -m 700 "$(TESTS_ROOT)/run"
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
endif

override_dh_auto_clean:
	rm -rf "$(TESTS_ROOT)"
	dh_auto_clean --buildsystem=kf5

## artikulate 20.08.1

=== debian/changelog ===
artikulate (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:54 +0100

artikulate (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:10 +0100

artikulate (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:32:54 +0100

artikulate (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Update build dependencies according to upstream build system:
    - kf5 >= 5.64.0
  * Review copyright information with the help of SPDX license headers now
    provided by upstream.
  * Mark test build dependencies with the <!nocheck> profile.
  * Bump dh compatibility level to 13.
  * Add Bug-* URLs to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Jun 2020 00:59:38 +0200

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.64.0~),
               kirigami2-dev (>= 5.64.0~),
               libkf5archive-dev (>= 5.64.0~),
               libkf5config-dev (>= 5.64.0~),
               libkf5configwidgets-dev (>= 5.64.0~),
               libkf5crash-dev (>= 5.64.0~),
               libkf5declarative-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.64.0~),
               libkf5newstuff-dev (>= 5.64.0~),
               libkf5widgetsaddons-dev (>= 5.64.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtmultimedia5-dev (>= 5.11.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/education/org.kde.artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 20.08.2

=== debian/changelog ===
artikulate (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 12:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                qtdeclarative5-dev (>= 5.11.0~),
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/education/org.kde.artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate

## artikulate 20.12.1

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_install_icons(
  ICONS
    16-apps-artikulate.png
    32-apps-artikulate.png
    48-apps-artikulate.png
    64-apps-artikulate.png
    sc-apps-artikulate.svg

  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

=== libsound/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_optional_add_subdirectory(src)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_setup_version(1.0.0
    VARIABLE_PREFIX ARTIKULATE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
)

ecm_optional_add_subdirectory(qml)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${artikulate_SOURCE_DIR}
)

# set the source code files from which Artikulate is compiled
set(artikulateCore_SRCS
    application.cpp
    artikulate_debug.cpp
    core/icourse.h
    core/ieditablecourse.h
    core/ieditablephrase.h
    core/ieditablerepository.h
    core/ieditableunit.h
    core/ilanguage.h
    core/iphrase.h
    core/isessionactions.h
    core/iunit.h
    core/iresourcerepository.h
    core/drawertrainingactions.cpp
    core/resourcerepository.cpp
    core/contributorrepository.cpp
    core/language.cpp
    core/phrase.cpp
    core/phoneme.cpp
    core/phonemegroup.cpp
    core/unit.cpp
    core/editorsession.cpp
    core/trainingaction.cpp
    core/trainingactionicon.cpp
    core/trainingsession.cpp
    core/resources/courseparser.cpp
    core/resources/courseresource.cpp
    core/resources/editablecourseresource.cpp
    core/resources/skeletonresource.cpp
    core/player.cpp
    core/recorder.cpp
    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
#     models/learningprogressmodel.cpp //TODO must be adapted to new trainingsession
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phraselistmodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp
    qmlcontrols/iconitem.cpp
    qmlcontrols/imagetexturescache.cpp
    qmlcontrols/managedtexturenode.cpp
)

kconfig_add_kcfg_files (artikulateCore_SRCS settings.kcfgc)
add_library(artikulatecore SHARED ${artikulateCore_SRCS})
generate_export_header(artikulatecore BASE_NAME artikulatecore)
target_link_libraries(artikulatecore
    PUBLIC
        artikulatelearnerprofile
        artikulatesound
        Qt5::XmlPatterns
        Qt5::Qml
        Qt5::Quick
        KF5::Archive
        KF5::ConfigGui
    PRIVATE
        Qt5::Xml
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatecore PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(
    TARGETS artikulatecore
    LIBRARY NAMELINK_SKIP
    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
)
install(FILES artikulate.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

# set the source code files from which Artikulate is compiled
set(artikulate_SRCS
    main.cpp
    mainwindow.cpp
    artikulate_debug.cpp
)
qt5_add_resources(artikulate_SRCS resources.qrc)
qt5_add_resources(artikulate_SRCS ../data/languages.qrc)
kconfig_add_kcfg_files (artikulate_SRCS settings.kcfgc)

set(artikulate_editor_SRCS
    main_editor.cpp
    mainwindow_editor.cpp
    artikulate_debug.cpp
)
qt5_add_resources(artikulate_editor_SRCS resources.qrc)
qt5_add_resources(artikulate_editor_SRCS ../data/languages.qrc)
kconfig_add_kcfg_files (artikulate_editor_SRCS settings.kcfgc)

# executables
add_executable(artikulate ${artikulate_SRCS})
target_link_libraries(artikulate
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        KF5::Crash
        KF5::NewStuff
        KF5::XmlGui
)

qt5_add_resources(artikulate_editor_SRCS editor.qrc)
add_executable(artikulate_editor ${artikulate_editor_SRCS})
target_link_libraries(artikulate_editor
    LINK_PUBLIC
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        KF5::Crash
        KF5::NewStuff
)

install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS artikulate_editor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== liblearnerprofile/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

set(learnerprofile_LIB_SRCS
    learner.cpp
    learninggoal.cpp
    profilemanager.cpp
    storage.cpp
    models/learninggoalmodel.cpp
    liblearner_debug.cpp
)

add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})
generate_export_header(artikulatelearnerprofile BASE_NAME liblearnerprofile)

target_link_libraries(
    artikulatelearnerprofile
    LINK_PUBLIC
        Qt5::Core
        Qt5::Gui
        Qt5::Sql
        Qt5::Widgets
        KF5::ConfigCore
        KF5::I18n
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatelearnerprofile
    PROPERTIES
        VERSION ${GENERIC_LIB_VERSION}
        SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatelearnerprofile
    LIBRARY NAMELINK_SKIP
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

=== libsound/src/qtgstreamerbackend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

find_package(Qt5GStreamer 1.2.0 REQUIRED)
include_directories(
    ${QTGSTREAMER_INCLUDES}
)

set(qtgstreamerbackend_SRCS
    qtgstreamerbackend.cpp
    qtgstreamercapturebackend.cpp
    qtgstreameroutputbackend.cpp
    ../libsound_debug.cpp
)

add_library(qtgstreamerbackend MODULE ${qtgstreamerbackend_SRCS})

target_link_libraries(
    qtgstreamerbackend
    LINK_PUBLIC
        artikulatesound
        KF5::CoreAddons
        ${QTGLIB_LIBRARIES}
        ${QTGLIB_LIBRARY}
        ${QTGSTREAMER_LIBRARIES}
)

install(TARGETS qtgstreamerbackend DESTINATION ${PLUGIN_INSTALL_DIR}/artikulate/libsound)

=== debian/changelog ===
artikulate (4:20.12.1-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Unregister the old /etc/xdg/artikulate.knsrc conffile. (Closes: #980027)
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.
  * Remove the manual HOME/TMPDIR/XDG_RUNTIME_DIR handling in dh_auto_test,
    as debhelper does it automatically in compat 13+.
  * Remove the manual check for nocheck in DEB_BUILD_OPTIONS, as debhelper does
    it already in compat 13+.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Jan 2021 09:26:10 +0100

artikulate (4:20.12.1-1) unstable; urgency=medium

  * Refresh copyright information.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 23:45:48 +0100

artikulate (4:20.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh upstream metadata.
  * New upstream release (20.12.0).
  * Add missing QML runtime dependencies.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Drop patch to install private libs in a libs subfolder, should be done
    upstream if anywhere.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 00:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: education
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.64.0~),
+               gettext,
                kirigami2-dev (>= 5.64.0~),
                libkf5archive-dev (>= 5.64.0~),
                libkf5config-dev (>= 5.64.0~),
@@ -25,8 +26,8 @@
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/education/org.kde.artikulate
+Standards-Version: 4.5.1
+Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
 Rules-Requires-Root: no
@@ -40,7 +41,11 @@
          qml-module-org-kde-newstuff,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-shapes,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Language learning application

## artikulate 20.12.3

=== debian/changelog ===
artikulate (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:18 +0000

artikulate (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:45 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                qtdeclarative5-dev (>= 5.11.0~),
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate

## artikulate 21.08.0

=== libsound/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

# enable exceptions for this library
kde_enable_exceptions()

set(sound_LIB_SRCS
    backendinterface.cpp
    capturedevicecontroller.cpp
    outputdevicecontroller.cpp
    capturebackendinterface.cpp
    outputbackendinterface.cpp
    libsound_debug.cpp
)

add_library(artikulatesound SHARED ${sound_LIB_SRCS})
generate_export_header(artikulatesound BASE_NAME libsound)

target_link_libraries(
    artikulatesound
    LINK_PUBLIC
        KF5::CoreAddons
        KF5::I18n
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatesound PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatesound
    LIBRARY NAMELINK_SKIP
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

if (BUILD_GSTREAMER_PLUGIN)
    ecm_optional_add_subdirectory(qtgstreamerbackend)
endif()
if (BUILD_QTMULTIMEDIA_PLUGIN)
    ecm_optional_add_subdirectory(qtmultimediabackend)
endif()

## artikulate 21.08.1

=== debian/changelog ===
artikulate (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:06 +0100

artikulate (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:02 +0100

artikulate (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:23 +0100

artikulate (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:29:47 +0100

artikulate (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:49 +0100

artikulate (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:55 +0100

artikulate (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:56 +0100

artikulate (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:34 +0100

## artikulate 21.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.5.0)
set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.64.0")

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
set (ARTIKULATE_VERSION "1.0.0.${RELEASE_SERVICE_COMPACT_VERSION}")

project(artikulate VERSION ${ARTIKULATE_VERSION})

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMEnableSanitizers)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
    Sql
    XmlPatterns
    Qml
    Quick
    Test
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    Crash
    I18n
    NewStuff
    Kirigami2
)

# options
option(BUILD_QTMULTIMEDIA_PLUGIN "Build QtMultimedia sound backend" ON)
option(BUILD_GSTREAMER_PLUGIN "Build GStreamer sound backend" OFF)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(icons)
ecm_optional_add_subdirectory(libsound)
ecm_optional_add_subdirectory(liblearnerprofile)
ecm_optional_add_subdirectory(autotests)

# files to install in the artikulate project root directory
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(PROGRAMS org.kde.artikulate.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.artikulate.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
 # SPDX-License-Identifier: BSD-2-Clause
 
-ecm_setup_version(1.0.0
+ecm_setup_version(${ARTIKULATE_VERSION}
     VARIABLE_PREFIX ARTIKULATE
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
@@ -93,7 +93,7 @@
 install(
     TARGETS artikulatecore
     LIBRARY NAMELINK_SKIP
-    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
+    DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
 )
 install(FILES artikulate.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
@@ -142,6 +142,6 @@
         KF5::NewStuff
 )
 
-install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
-install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(TARGETS artikulate_editor ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES artikulate.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
+install(TARGETS artikulate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS artikulate_editor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== autotests/integrationtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ${CMAKE_CURRENT_BINARY_DIR}
)

# copy test data
file(COPY ../testdata/courses/de.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/de/) # copy test files
file(COPY ../testdata/courses/fr.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/fr/) # copy test files
file(COPY ../testdata/contributorrepository/ DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/contributorrepository/) # copy test files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# integration tests for iresource repository interface derived classes
set(TestIResourceRepository_SRCS iresourcerepository_integration/test_iresourcerepository.cpp)
qt5_add_resources(TestIResourceRepository_SRCS ../../data/languages.qrc)
add_executable(test_iresourcerepository_integration ${TestIResourceRepository_SRCS})
target_link_libraries(test_iresourcerepository_integration
    artikulatecore
    Qt5::Test
)
add_test(NAME test_iresourcerepository_integration COMMAND test_iresourcerepository_integration)
ecm_mark_as_test(test_iresourcerepository_integration)

=== autotests/resourcetests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ../mocks/
    ${CMAKE_CURRENT_BINARY_DIR}
)

# basic tests language resource conformance with XSD
set(TestLanguageFiles_SRCS
    languageresources/testlanguagefiles.cpp
)
qt5_add_resources(TestLanguageFiles_SRCS ../../data/languages.qrc)
add_executable(test_languageresources ${TestLanguageFiles_SRCS} )
target_link_libraries(test_languageresources
    artikulatecore
    Qt5::Test
)
add_test(NAME test_languageresources COMMAND test_languageresources)
ecm_mark_as_test(test_languageresources)


# test correctness of XSD files
set(TestXsdSchemes_SRCS
    xsdschemes/testxsdschemes.cpp
)
qt5_add_resources(TestXsdSchemes_SRCS ../../data/languages.qrc)
add_executable(test_xsdschemes ${TestXsdSchemes_SRCS} )
target_link_libraries(test_xsdschemes
    Qt5::Test
    Qt5::XmlPatterns
    Qt5::Core
)
add_test(NAME test_xsdschemes COMMAND test_xsdschemes)
ecm_mark_as_test(test_xsdschemes)

=== liblearnerprofile/src/CMakeLists.txt ===
--- 
+++ 
@@ -36,5 +36,5 @@
 install(
     TARGETS artikulatelearnerprofile
     LIBRARY NAMELINK_SKIP
-    ${INSTALL_TARGETS_DEFAULT_ARGS}
+    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
 )

=== libsound/src/qtgstreamerbackend/CMakeLists.txt ===
--- 
+++ 
@@ -25,4 +25,4 @@
         ${QTGSTREAMER_LIBRARIES}
 )
 
-install(TARGETS qtgstreamerbackend DESTINATION ${PLUGIN_INSTALL_DIR}/artikulate/libsound)
+install(TARGETS qtgstreamerbackend DESTINATION ${KDE_INSTALL_PLUGINDIR}/artikulate/libsound)

=== debian/changelog ===
artikulate (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:20 +0000

artikulate (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:44 +0000

artikulate (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:43 +0000

artikulate (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:29 +0000

artikulate (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:00 +0000

artikulate (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:04 +0000

artikulate (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:21:48 +0000

artikulate (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
@@ -28,8 +29,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 Rules-Requires-Root: no
 
 Package: artikulate

## artikulate 22.08.1

=== debian/changelog ===
artikulate (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 16:11:55 +0200

artikulate (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 14:19:42 +0100

artikulate (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:27 +0900

artikulate (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:20:38 +0900

artikulate (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:28:10 +0900

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               kirigami2-dev (>= 5.82.0~),
               libkf5archive-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.64.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5declarative-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5newstuff-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.64.0~),
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtmultimedia5-dev (>= 5.11.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://edu.kde.org/artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 22.12.0

=== debian/changelog ===
artikulate (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:23 +0100

artikulate (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,27 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami2-dev (>= 5.82.0~),
-               libkf5archive-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
+               kirigami2-dev (>= 5.90.0~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.64.0~),
-               libkf5crash-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.64.0~),
                libkf5doctools-dev (>= 5.64.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.64.0~),
                libqt5gstreamer-dev (>= 1.2.0),
                libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
-               libqt5xmlpatterns5-dev (>= 5.15.0~),
+               libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
-               qtmultimedia5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.1

## artikulate 22.12.1

=== debian/changelog ===
artikulate (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:32:55 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
